package com.qmth.teachcloud.task.enums;

import java.util.Objects;

/**
 * @Description: job enum
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/3/31
 */
public enum JobEnum {

    CREATE_PDF_JOB("CREATE_PDF_JOB_GROUP", "重新生成pdf定时任务"),
    SMS_NOTICE_TASK_EXPIRE_JOB("SMS_NOTICE_TASK_EXPIRE_JOB_GROUP", "任务到期提醒定时任务"),
    SMS_NOTICE_TASK_OVERDUE_JOB("SMS_NOTICE_TASK_OVERDUE_JOB_GROUP", "任务逾期提醒定时任务"),
    SMS_NOTICE_TASK_RESEND_JOB("SMS_NOTICE_TASK_RESEND_JOB_GROUP", "短信发送失败重发定时任务"),
    SYNC_REUNIFY_JOB("SYNC_REUNIFY_JOB_GROUP", "自动统分定时任务"),
    REDIS_MQ_JOB("REDIS_MQ_JOB_GROUP", "学校信息同步定时任务"),
    UPDATE_MARKER_QUALITY("UPDATE_MARKER_QUALITY_GROUP", "更新评卷员质量监控指标"),
    BUILD_MARK_TASK("BUILD_MARK_TASK_GROUP", "创建评卷任务"),
    INIT_MARK_DATA("INIT_MARK_DATA_GROUP", "初始化阅卷数据"),
    CLEAR_TIMEOUT_TASK("CLEAR_TIMEOUT_TASK_GROUP", "清空过期任务");

    private String groupName;

    private String title;

    private JobEnum(String groupName, String title) {
        this.groupName = groupName;
        this.title = title;
    }

    public String getGroupName() {
        return groupName;
    }

    public String getTitle() {
        return title;
    }

    /**
     * 状态转换 toName
     *
     * @param value
     * @return
     */
    public static String convertToName(String value) {
        for (JobEnum e : JobEnum.values()) {
            if (Objects.equals(value.trim(), e.getTitle())) {
                return e.name();
            }
        }
        return null;
    }
}
